HF_Antenna

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator
Public Member Functions | Public Attributes
Ui_Antenna_w Class Reference

`#include <ui_antenna_w.h>`

Inheritance diagram for Ui_Antenna_w:
[legend]
Collaboration diagram for Ui_Antenna_w:
[legend]

List of all members.

## Public Member Functions
void | setupUi (QMainWindow *Antenna_w)
void | retranslateUi (QMainWindow *Antenna_w)

## Public Attributes
QAction * | actionAbout_HF_Antenna
QAction * | actionDocumentation
QAction * | actionConfig
QAction * | actionTest_System
QAction * | actionMeasurement
QAction * | actionFactory_settings
QAction * | actionCoverage
QAction * | actionExit
QAction * | actionSwitching
QAction * | actionClear
QWidget * | centralWidget
QFrame * | frame_2
QWidget * | horizontalLayoutWidget
QHBoxLayout * | horizontalLayout
QSpacerItem * | horizontalSpacer_3
QLabel * | title
QSpacerItem * | horizontalSpacer
QLabel * | labelCobham
QSpacerItem * | horizontalSpacer_2
QFrame * | frame
QPlainTextEdit * | rxData
QWidget * | horizontalLayoutWidget_2
QHBoxLayout * | horizontalLayout_2
Configuration * | config_
Coverage * | cover_
Measurement * | meas_
Switching * | switch_
Memory * | mem_
Systeme * | system_
QMenuBar * | menuBar
QMenu * | menuHelp
QMenu * | menuFile
QStatusBar * | statusBar
QToolBar * | toolBar

## Member Function Documentation

void Ui_Antenna_w::retranslateUi | ( | QMainWindow * | Antenna_w | ) |
| inline

void Ui_Antenna_w::setupUi | ( | QMainWindow * | Antenna_w | ) |
| inline

## Member Data Documentation

QAction* Ui_Antenna_w::actionAbout_HF_Antenna

QAction* Ui_Antenna_w::actionClear

QAction* Ui_Antenna_w::actionConfig

QAction* Ui_Antenna_w::actionCoverage

QAction* Ui_Antenna_w::actionDocumentation

QAction* Ui_Antenna_w::actionExit

QAction* Ui_Antenna_w::actionFactory_settings

QAction* Ui_Antenna_w::actionMeasurement

QAction* Ui_Antenna_w::actionSwitching

QAction* Ui_Antenna_w::actionTest_System

QWidget* Ui_Antenna_w::centralWidget

Configuration* Ui_Antenna_w::config_

Coverage* Ui_Antenna_w::cover_

QFrame* Ui_Antenna_w::frame

QFrame* Ui_Antenna_w::frame_2

QHBoxLayout* Ui_Antenna_w::horizontalLayout

QHBoxLayout* Ui_Antenna_w::horizontalLayout_2

QWidget* Ui_Antenna_w::horizontalLayoutWidget

QWidget* Ui_Antenna_w::horizontalLayoutWidget_2

QSpacerItem* Ui_Antenna_w::horizontalSpacer

QSpacerItem* Ui_Antenna_w::horizontalSpacer_2

QSpacerItem* Ui_Antenna_w::horizontalSpacer_3

QLabel* Ui_Antenna_w::labelCobham

Measurement* Ui_Antenna_w::meas_

Memory* Ui_Antenna_w::mem_

QMenuBar* Ui_Antenna_w::menuBar

QMenu* Ui_Antenna_w::menuFile

QMenu* Ui_Antenna_w::menuHelp

QPlainTextEdit* Ui_Antenna_w::rxData

QStatusBar* Ui_Antenna_w::statusBar

Switching* Ui_Antenna_w::switch_

Systeme* Ui_Antenna_w::system_

QLabel* Ui_Antenna_w::title

QToolBar* Ui_Antenna_w::toolBar

The documentation for this class was generated from the following file:

- C:/Users/Sarah/Documents/Langage_C++/HF_ANTENNA/Project/ui_antenna_w.h